/* customizing bootstrap */
/* ------------------------------ */

h1,
h2,
h3 {
    margin-bottom: 0;
}

label {
    margin-bottom: 0;
}

/* modal */

.modal-content {
    border-radius: 0;
    border: none !important;
}

.modal-header {
    border-bottom: none;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding: 1.5rem 1.5rem 1rem 1.5rem;
}

.modal-header .modal-close {
    top: 10px;
    opacity: .5;
    right: 10px;
    width: 30px;
    height: 30px;
    padding: 2px;
    cursor: pointer;
    text-align: center;
    position: absolute;
}

.modal-header .modal-close:hover {
    opacity: 1;
}

.modal-body {
    padding: 0 1.5rem;
}

.modal-footer {
    border-top: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding: 1rem 1.5rem 1.5rem 1.5rem;
}

/* navigation */

.nav-link {
    white-space: nowrap;
}

/* table */

.table {
    margin-bottom: 0;
}

.table th,
.table td {
    vertical-align: middle;
    padding: 0.6rem 0.75rem;
}

.table.text-left th,
.table.text-left td {
    text-align: left;
}

.table.text-center th,
.table.text-center td {
    text-align: center;
}

.table.text-right th,
.table.text-right td {
    text-align: right;
}

.table thead th {
    background-color: #f9f9f9;
    padding-top: 0.7rem !important;
    padding-bottom: 0.7rem !important;
    border-bottom: 1px solid #dee2e6;
}

.table tr:last-child th,
.table tr:last-child td {
    border-bottom: 1px solid #dee2e6;
}

.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 1px;
}

.table-hover tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.02);
}

.table-sm th,
.table-sm td {
    padding: 0.3rem;
}

.table-left th,
.table-left td {
    text-align: left;
}
.table-center th,
.table-center td {
    text-align: center;
}
.table-right th,
.table-right td {
    text-align: right;
}

/* table option */

.table thead .sort-th {
    cursor: pointer;
}

.table thead .sort-icon {
    opacity: .25;
}

.table thead .sort-th:hover .sort-icon,
.table thead .sort-th:focus .sort-icon,
.table thead .sort-th:active .sort-icon {
    opacity: .5;
}

.table thead .sort-th.active .sort-icon {
    opacity: .75;
}

.table .split,
.table .split th,
.table .split td {
    border-top: 1px solid #96a0a5 !important;
}

.table .split-bottom,
.table .split-bottom th,
.table .split-bottom td {
    border-bottom: 1px solid #96a0a5 !important;
}

/* form */

.form-control::placeholder {
    color: #ccc;
    font-size: 90%;
}

/* button */

.btn.focus,
.btn:focus {
    outline: 0;
    box-shadow: 0 0 0 .2em rgba(29, 64, 118, .2)
}

.btn.disabled,
.btn:disabled,
.btn:focus[disabled],
.btn:hover[disabled],
.btn[disabled] {
    /* opacity: .5 !important; */
    color: #999 !important;
    background-color: #eee !important;
    border-color: #ddd !important
}

.btn-radius {
    border-radius: .25rem !important;
}

.btn-radius-sm {
    border-radius: .2rem !important;
}

.btn-radius-lg {
    border-radius: .3rem !important;
}

.btn-radius-none {
    border-radius: 0 !important;
}

/* row utility with row class in bootstrap */

.row-0 {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.row-0>.col-1,
.row-0>.col-2,
.row-0>.col-3,
.row-0>.col-4,
.row-0>.col-5,
.row-0>.col-6,
.row-0>.col-7,
.row-0>.col-8,
.row-0>.col-9,
.row-0>.col-10,
.row-0>.col-11,
.row-0>.col-12,
.row-0>.col,
.row-0>.col-auto,
.row-0>.col-sm-1,
.row-0>.col-sm-2,
.row-0>.col-sm-3,
.row-0>.col-sm-4,
.row-0>.col-sm-5,
.row-0>.col-sm-6,
.row-0>.col-sm-7,
.row-0>.col-sm-8,
.row-0>.col-sm-9,
.row-0>.col-sm-10,
.row-0>.col-sm-11,
.row-0>.col-sm-12,
.row-0>.col-sm,
.row-0>.col-sm-auto,
.row-0>.col-md-1,
.row-0>.col-md-2,
.row-0>.col-md-3,
.row-0>.col-md-4,
.row-0>.col-md-5,
.row-0>.col-md-6,
.row-0>.col-md-7,
.row-0>.col-md-8,
.row-0>.col-md-9,
.row-0>.col-md-10,
.row-0>.col-md-11,
.row-0>.col-md-12,
.row-0>.col-md,
.row-0>.col-md-auto,
.row-0>.col-lg-1,
.row-0>.col-lg-2,
.row-0>.col-lg-3,
.row-0>.col-lg-4,
.row-0>.col-lg-5,
.row-0>.col-lg-6,
.row-0>.col-lg-7,
.row-0>.col-lg-8,
.row-0>.col-lg-9,
.row-0>.col-lg-10,
.row-0>.col-lg-11,
.row-0>.col-lg-12,
.row-0>.col-lg,
.row-0>.col-lg-auto,
.row-0>.col-xl-1,
.row-0>.col-xl-2,
.row-0>.col-xl-3,
.row-0>.col-xl-4,
.row-0>.col-xl-5,
.row-0>.col-xl-6,
.row-0>.col-xl-7,
.row-0>.col-xl-8,
.row-0>.col-xl-9,
.row-0>.col-xl-10,
.row-0>.col-xl-11,
.row-0>.col-xl-12,
.row-0>.col-xl,
.row-0>.col-xl-auto {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.row-2px {
    margin-left: -2px !important;
    margin-right: -2px !important;
}

.row-2px>.col-1,
.row-2px>.col-2,
.row-2px>.col-3,
.row-2px>.col-4,
.row-2px>.col-5,
.row-2px>.col-6,
.row-2px>.col-7,
.row-2px>.col-8,
.row-2px>.col-9,
.row-2px>.col-10,
.row-2px>.col-11,
.row-2px>.col-12,
.row-2px>.col,
.row-2px>.col-auto,
.row-2px>.col-sm-1,
.row-2px>.col-sm-2,
.row-2px>.col-sm-3,
.row-2px>.col-sm-4,
.row-2px>.col-sm-5,
.row-2px>.col-sm-6,
.row-2px>.col-sm-7,
.row-2px>.col-sm-8,
.row-2px>.col-sm-9,
.row-2px>.col-sm-10,
.row-2px>.col-sm-11,
.row-2px>.col-sm-12,
.row-2px>.col-sm,
.row-2px>.col-sm-auto,
.row-2px>.col-md-1,
.row-2px>.col-md-2,
.row-2px>.col-md-3,
.row-2px>.col-md-4,
.row-2px>.col-md-5,
.row-2px>.col-md-6,
.row-2px>.col-md-7,
.row-2px>.col-md-8,
.row-2px>.col-md-9,
.row-2px>.col-md-10,
.row-2px>.col-md-11,
.row-2px>.col-md-12,
.row-2px>.col-md,
.row-2px>.col-md-auto,
.row-2px>.col-lg-1,
.row-2px>.col-lg-2,
.row-2px>.col-lg-3,
.row-2px>.col-lg-4,
.row-2px>.col-lg-5,
.row-2px>.col-lg-6,
.row-2px>.col-lg-7,
.row-2px>.col-lg-8,
.row-2px>.col-lg-9,
.row-2px>.col-lg-10,
.row-2px>.col-lg-11,
.row-2px>.col-lg-12,
.row-2px>.col-lg,
.row-2px>.col-lg-auto,
.row-2px>.col-xl-1,
.row-2px>.col-xl-2,
.row-2px>.col-xl-3,
.row-2px>.col-xl-4,
.row-2px>.col-xl-5,
.row-2px>.col-xl-6,
.row-2px>.col-xl-7,
.row-2px>.col-xl-8,
.row-2px>.col-xl-9,
.row-2px>.col-xl-10,
.row-2px>.col-xl-11,
.row-2px>.col-xl-12,
.row-2px>.col-xl,
.row-2px>.col-xl-auto {
    padding-left: 2px !important;
    padding-right: 2px !important;
}

.row-5px {
    margin-left: -5px !important;
    margin-right: -5px !important;
}

.row-5px>.col-1,
.row-5px>.col-2,
.row-5px>.col-3,
.row-5px>.col-4,
.row-5px>.col-5,
.row-5px>.col-6,
.row-5px>.col-7,
.row-5px>.col-8,
.row-5px>.col-9,
.row-5px>.col-10,
.row-5px>.col-11,
.row-5px>.col-12,
.row-5px>.col,
.row-5px>.col-auto,
.row-5px>.col-sm-1,
.row-5px>.col-sm-2,
.row-5px>.col-sm-3,
.row-5px>.col-sm-4,
.row-5px>.col-sm-5,
.row-5px>.col-sm-6,
.row-5px>.col-sm-7,
.row-5px>.col-sm-8,
.row-5px>.col-sm-9,
.row-5px>.col-sm-10,
.row-5px>.col-sm-11,
.row-5px>.col-sm-12,
.row-5px>.col-sm,
.row-5px>.col-sm-auto,
.row-5px>.col-md-1,
.row-5px>.col-md-2,
.row-5px>.col-md-3,
.row-5px>.col-md-4,
.row-5px>.col-md-5,
.row-5px>.col-md-6,
.row-5px>.col-md-7,
.row-5px>.col-md-8,
.row-5px>.col-md-9,
.row-5px>.col-md-10,
.row-5px>.col-md-11,
.row-5px>.col-md-12,
.row-5px>.col-md,
.row-5px>.col-md-auto,
.row-5px>.col-lg-1,
.row-5px>.col-lg-2,
.row-5px>.col-lg-3,
.row-5px>.col-lg-4,
.row-5px>.col-lg-5,
.row-5px>.col-lg-6,
.row-5px>.col-lg-7,
.row-5px>.col-lg-8,
.row-5px>.col-lg-9,
.row-5px>.col-lg-10,
.row-5px>.col-lg-11,
.row-5px>.col-lg-12,
.row-5px>.col-lg,
.row-5px>.col-lg-auto,
.row-5px>.col-xl-1,
.row-5px>.col-xl-2,
.row-5px>.col-xl-3,
.row-5px>.col-xl-4,
.row-5px>.col-xl-5,
.row-5px>.col-xl-6,
.row-5px>.col-xl-7,
.row-5px>.col-xl-8,
.row-5px>.col-xl-9,
.row-5px>.col-xl-10,
.row-5px>.col-xl-11,
.row-5px>.col-xl-12,
.row-5px>.col-xl,
.row-5px>.col-xl-auto {
    padding-left: 5px !important;
    padding-right: 5px !important;
}

.row-10px {
    margin-left: -10px !important;
    margin-right: -10px !important;
}

.row-10px>.col-1,
.row-10px>.col-2,
.row-10px>.col-3,
.row-10px>.col-4,
.row-10px>.col-5,
.row-10px>.col-6,
.row-10px>.col-7,
.row-10px>.col-8,
.row-10px>.col-9,
.row-10px>.col-10,
.row-10px>.col-11,
.row-10px>.col-12,
.row-10px>.col,
.row-10px>.col-auto,
.row-10px>.col-sm-1,
.row-10px>.col-sm-2,
.row-10px>.col-sm-3,
.row-10px>.col-sm-4,
.row-10px>.col-sm-5,
.row-10px>.col-sm-6,
.row-10px>.col-sm-7,
.row-10px>.col-sm-8,
.row-10px>.col-sm-9,
.row-10px>.col-sm-10,
.row-10px>.col-sm-11,
.row-10px>.col-sm-12,
.row-10px>.col-sm,
.row-10px>.col-sm-auto,
.row-10px>.col-md-1,
.row-10px>.col-md-2,
.row-10px>.col-md-3,
.row-10px>.col-md-4,
.row-10px>.col-md-5,
.row-10px>.col-md-6,
.row-10px>.col-md-7,
.row-10px>.col-md-8,
.row-10px>.col-md-9,
.row-10px>.col-md-10,
.row-10px>.col-md-11,
.row-10px>.col-md-12,
.row-10px>.col-md,
.row-10px>.col-md-auto,
.row-10px>.col-lg-1,
.row-10px>.col-lg-2,
.row-10px>.col-lg-3,
.row-10px>.col-lg-4,
.row-10px>.col-lg-5,
.row-10px>.col-lg-6,
.row-10px>.col-lg-7,
.row-10px>.col-lg-8,
.row-10px>.col-lg-9,
.row-10px>.col-lg-10,
.row-10px>.col-lg-11,
.row-10px>.col-lg-12,
.row-10px>.col-lg,
.row-10px>.col-lg-auto,
.row-10px>.col-xl-1,
.row-10px>.col-xl-2,
.row-10px>.col-xl-3,
.row-10px>.col-xl-4,
.row-10px>.col-xl-5,
.row-10px>.col-xl-6,
.row-10px>.col-xl-7,
.row-10px>.col-xl-8,
.row-10px>.col-xl-9,
.row-10px>.col-xl-10,
.row-10px>.col-xl-11,
.row-10px>.col-xl-12,
.row-10px>.col-xl,
.row-10px>.col-xl-auto {
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.row-15px {
    margin-left: -15px !important;
    margin-right: -15px !important;
}

.row-15px>.col-1,
.row-15px>.col-2,
.row-15px>.col-3,
.row-15px>.col-4,
.row-15px>.col-5,
.row-15px>.col-6,
.row-15px>.col-7,
.row-15px>.col-8,
.row-15px>.col-9,
.row-15px>.col-10,
.row-15px>.col-11,
.row-15px>.col-12,
.row-15px>.col,
.row-15px>.col-auto,
.row-15px>.col-sm-1,
.row-15px>.col-sm-2,
.row-15px>.col-sm-3,
.row-15px>.col-sm-4,
.row-15px>.col-sm-5,
.row-15px>.col-sm-6,
.row-15px>.col-sm-7,
.row-15px>.col-sm-8,
.row-15px>.col-sm-9,
.row-15px>.col-sm-10,
.row-15px>.col-sm-11,
.row-15px>.col-sm-12,
.row-15px>.col-sm,
.row-15px>.col-sm-auto,
.row-15px>.col-md-1,
.row-15px>.col-md-2,
.row-15px>.col-md-3,
.row-15px>.col-md-4,
.row-15px>.col-md-5,
.row-15px>.col-md-6,
.row-15px>.col-md-7,
.row-15px>.col-md-8,
.row-15px>.col-md-9,
.row-15px>.col-md-10,
.row-15px>.col-md-11,
.row-15px>.col-md-12,
.row-15px>.col-md,
.row-15px>.col-md-auto,
.row-15px>.col-lg-1,
.row-15px>.col-lg-2,
.row-15px>.col-lg-3,
.row-15px>.col-lg-4,
.row-15px>.col-lg-5,
.row-15px>.col-lg-6,
.row-15px>.col-lg-7,
.row-15px>.col-lg-8,
.row-15px>.col-lg-9,
.row-15px>.col-lg-10,
.row-15px>.col-lg-11,
.row-15px>.col-lg-12,
.row-15px>.col-lg,
.row-15px>.col-lg-auto,
.row-15px>.col-xl-1,
.row-15px>.col-xl-2,
.row-15px>.col-xl-3,
.row-15px>.col-xl-4,
.row-15px>.col-xl-5,
.row-15px>.col-xl-6,
.row-15px>.col-xl-7,
.row-15px>.col-xl-8,
.row-15px>.col-xl-9,
.row-15px>.col-xl-10,
.row-15px>.col-xl-11,
.row-15px>.col-xl-12,
.row-15px>.col-xl,
.row-15px>.col-xl-auto {
    padding-left: 15px !important;
    padding-right: 15px !important;
}

.row-20px {
    margin-left: -20px !important;
    margin-right: -20px !important;
}

.row-20px>.col-1,
.row-20px>.col-2,
.row-20px>.col-3,
.row-20px>.col-4,
.row-20px>.col-5,
.row-20px>.col-6,
.row-20px>.col-7,
.row-20px>.col-8,
.row-20px>.col-9,
.row-20px>.col-10,
.row-20px>.col-11,
.row-20px>.col-12,
.row-20px>.col,
.row-20px>.col-auto,
.row-20px>.col-sm-1,
.row-20px>.col-sm-2,
.row-20px>.col-sm-3,
.row-20px>.col-sm-4,
.row-20px>.col-sm-5,
.row-20px>.col-sm-6,
.row-20px>.col-sm-7,
.row-20px>.col-sm-8,
.row-20px>.col-sm-9,
.row-20px>.col-sm-10,
.row-20px>.col-sm-11,
.row-20px>.col-sm-12,
.row-20px>.col-sm,
.row-20px>.col-sm-auto,
.row-20px>.col-md-1,
.row-20px>.col-md-2,
.row-20px>.col-md-3,
.row-20px>.col-md-4,
.row-20px>.col-md-5,
.row-20px>.col-md-6,
.row-20px>.col-md-7,
.row-20px>.col-md-8,
.row-20px>.col-md-9,
.row-20px>.col-md-10,
.row-20px>.col-md-11,
.row-20px>.col-md-12,
.row-20px>.col-md,
.row-20px>.col-md-auto,
.row-20px>.col-lg-1,
.row-20px>.col-lg-2,
.row-20px>.col-lg-3,
.row-20px>.col-lg-4,
.row-20px>.col-lg-5,
.row-20px>.col-lg-6,
.row-20px>.col-lg-7,
.row-20px>.col-lg-8,
.row-20px>.col-lg-9,
.row-20px>.col-lg-10,
.row-20px>.col-lg-11,
.row-20px>.col-lg-12,
.row-20px>.col-lg,
.row-20px>.col-lg-auto,
.row-20px>.col-xl-1,
.row-20px>.col-xl-2,
.row-20px>.col-xl-3,
.row-20px>.col-xl-4,
.row-20px>.col-xl-5,
.row-20px>.col-xl-6,
.row-20px>.col-xl-7,
.row-20px>.col-xl-8,
.row-20px>.col-xl-9,
.row-20px>.col-xl-10,
.row-20px>.col-xl-11,
.row-20px>.col-xl-12,
.row-20px>.col-xl,
.row-20px>.col-xl-auto {
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.row-25px {
    margin-left: -25px !important;
    margin-right: -25px !important;
}

.row-25px>.col-1,
.row-25px>.col-2,
.row-25px>.col-3,
.row-25px>.col-4,
.row-25px>.col-5,
.row-25px>.col-6,
.row-25px>.col-7,
.row-25px>.col-8,
.row-25px>.col-9,
.row-25px>.col-10,
.row-25px>.col-11,
.row-25px>.col-12,
.row-25px>.col,
.row-25px>.col-auto,
.row-25px>.col-sm-1,
.row-25px>.col-sm-2,
.row-25px>.col-sm-3,
.row-25px>.col-sm-4,
.row-25px>.col-sm-5,
.row-25px>.col-sm-6,
.row-25px>.col-sm-7,
.row-25px>.col-sm-8,
.row-25px>.col-sm-9,
.row-25px>.col-sm-10,
.row-25px>.col-sm-11,
.row-25px>.col-sm-12,
.row-25px>.col-sm,
.row-25px>.col-sm-auto,
.row-25px>.col-md-1,
.row-25px>.col-md-2,
.row-25px>.col-md-3,
.row-25px>.col-md-4,
.row-25px>.col-md-5,
.row-25px>.col-md-6,
.row-25px>.col-md-7,
.row-25px>.col-md-8,
.row-25px>.col-md-9,
.row-25px>.col-md-10,
.row-25px>.col-md-11,
.row-25px>.col-md-12,
.row-25px>.col-md,
.row-25px>.col-md-auto,
.row-25px>.col-lg-1,
.row-25px>.col-lg-2,
.row-25px>.col-lg-3,
.row-25px>.col-lg-4,
.row-25px>.col-lg-5,
.row-25px>.col-lg-6,
.row-25px>.col-lg-7,
.row-25px>.col-lg-8,
.row-25px>.col-lg-9,
.row-25px>.col-lg-10,
.row-25px>.col-lg-11,
.row-25px>.col-lg-12,
.row-25px>.col-lg,
.row-25px>.col-lg-auto,
.row-25px>.col-xl-1,
.row-25px>.col-xl-2,
.row-25px>.col-xl-3,
.row-25px>.col-xl-4,
.row-25px>.col-xl-5,
.row-25px>.col-xl-6,
.row-25px>.col-xl-7,
.row-25px>.col-xl-8,
.row-25px>.col-xl-9,
.row-25px>.col-xl-10,
.row-25px>.col-xl-11,
.row-25px>.col-xl-12,
.row-25px>.col-xl,
.row-25px>.col-xl-auto {
    padding-left: 25px !important;
    padding-right: 25px !important;
}

.row-30px {
    margin-left: -30px !important;
    margin-right: -30px !important;
}

.row-30px>.col-1,
.row-30px>.col-2,
.row-30px>.col-3,
.row-30px>.col-4,
.row-30px>.col-5,
.row-30px>.col-6,
.row-30px>.col-7,
.row-30px>.col-8,
.row-30px>.col-9,
.row-30px>.col-10,
.row-30px>.col-11,
.row-30px>.col-12,
.row-30px>.col,
.row-30px>.col-auto,
.row-30px>.col-sm-1,
.row-30px>.col-sm-2,
.row-30px>.col-sm-3,
.row-30px>.col-sm-4,
.row-30px>.col-sm-5,
.row-30px>.col-sm-6,
.row-30px>.col-sm-7,
.row-30px>.col-sm-8,
.row-30px>.col-sm-9,
.row-30px>.col-sm-10,
.row-30px>.col-sm-11,
.row-30px>.col-sm-12,
.row-30px>.col-sm,
.row-30px>.col-sm-auto,
.row-30px>.col-md-1,
.row-30px>.col-md-2,
.row-30px>.col-md-3,
.row-30px>.col-md-4,
.row-30px>.col-md-5,
.row-30px>.col-md-6,
.row-30px>.col-md-7,
.row-30px>.col-md-8,
.row-30px>.col-md-9,
.row-30px>.col-md-10,
.row-30px>.col-md-11,
.row-30px>.col-md-12,
.row-30px>.col-md,
.row-30px>.col-md-auto,
.row-30px>.col-lg-1,
.row-30px>.col-lg-2,
.row-30px>.col-lg-3,
.row-30px>.col-lg-4,
.row-30px>.col-lg-5,
.row-30px>.col-lg-6,
.row-30px>.col-lg-7,
.row-30px>.col-lg-8,
.row-30px>.col-lg-9,
.row-30px>.col-lg-10,
.row-30px>.col-lg-11,
.row-30px>.col-lg-12,
.row-30px>.col-lg,
.row-30px>.col-lg-auto,
.row-30px>.col-xl-1,
.row-30px>.col-xl-2,
.row-30px>.col-xl-3,
.row-30px>.col-xl-4,
.row-30px>.col-xl-5,
.row-30px>.col-xl-6,
.row-30px>.col-xl-7,
.row-30px>.col-xl-8,
.row-30px>.col-xl-9,
.row-30px>.col-xl-10,
.row-30px>.col-xl-11,
.row-30px>.col-xl-12,
.row-30px>.col-xl,
.row-30px>.col-xl-auto {
    padding-left: 30px !important;
    padding-right: 30px !important;
}

.row-35px {
    margin-left: -35px !important;
    margin-right: -35px !important;
}

.row-35px>.col-1,
.row-35px>.col-2,
.row-35px>.col-3,
.row-35px>.col-4,
.row-35px>.col-5,
.row-35px>.col-6,
.row-35px>.col-7,
.row-35px>.col-8,
.row-35px>.col-9,
.row-35px>.col-10,
.row-35px>.col-11,
.row-35px>.col-12,
.row-35px>.col,
.row-35px>.col-auto,
.row-35px>.col-sm-1,
.row-35px>.col-sm-2,
.row-35px>.col-sm-3,
.row-35px>.col-sm-4,
.row-35px>.col-sm-5,
.row-35px>.col-sm-6,
.row-35px>.col-sm-7,
.row-35px>.col-sm-8,
.row-35px>.col-sm-9,
.row-35px>.col-sm-10,
.row-35px>.col-sm-11,
.row-35px>.col-sm-12,
.row-35px>.col-sm,
.row-35px>.col-sm-auto,
.row-35px>.col-md-1,
.row-35px>.col-md-2,
.row-35px>.col-md-3,
.row-35px>.col-md-4,
.row-35px>.col-md-5,
.row-35px>.col-md-6,
.row-35px>.col-md-7,
.row-35px>.col-md-8,
.row-35px>.col-md-9,
.row-35px>.col-md-10,
.row-35px>.col-md-11,
.row-35px>.col-md-12,
.row-35px>.col-md,
.row-35px>.col-md-auto,
.row-35px>.col-lg-1,
.row-35px>.col-lg-2,
.row-35px>.col-lg-3,
.row-35px>.col-lg-4,
.row-35px>.col-lg-5,
.row-35px>.col-lg-6,
.row-35px>.col-lg-7,
.row-35px>.col-lg-8,
.row-35px>.col-lg-9,
.row-35px>.col-lg-10,
.row-35px>.col-lg-11,
.row-35px>.col-lg-12,
.row-35px>.col-lg,
.row-35px>.col-lg-auto,
.row-35px>.col-xl-1,
.row-35px>.col-xl-2,
.row-35px>.col-xl-3,
.row-35px>.col-xl-4,
.row-35px>.col-xl-5,
.row-35px>.col-xl-6,
.row-35px>.col-xl-7,
.row-35px>.col-xl-8,
.row-35px>.col-xl-9,
.row-35px>.col-xl-10,
.row-35px>.col-xl-11,
.row-35px>.col-xl-12,
.row-35px>.col-xl,
.row-35px>.col-xl-auto {
    padding-left: 35px !important;
    padding-right: 35px !important;
}

.row-40px {
    margin-left: -40px !important;
    margin-right: -40px !important;
}

.row-40px>.col-1,
.row-40px>.col-2,
.row-40px>.col-3,
.row-40px>.col-4,
.row-40px>.col-5,
.row-40px>.col-6,
.row-40px>.col-7,
.row-40px>.col-8,
.row-40px>.col-9,
.row-40px>.col-10,
.row-40px>.col-11,
.row-40px>.col-12,
.row-40px>.col,
.row-40px>.col-auto,
.row-40px>.col-sm-1,
.row-40px>.col-sm-2,
.row-40px>.col-sm-3,
.row-40px>.col-sm-4,
.row-40px>.col-sm-5,
.row-40px>.col-sm-6,
.row-40px>.col-sm-7,
.row-40px>.col-sm-8,
.row-40px>.col-sm-9,
.row-40px>.col-sm-10,
.row-40px>.col-sm-11,
.row-40px>.col-sm-12,
.row-40px>.col-sm,
.row-40px>.col-sm-auto,
.row-40px>.col-md-1,
.row-40px>.col-md-2,
.row-40px>.col-md-3,
.row-40px>.col-md-4,
.row-40px>.col-md-5,
.row-40px>.col-md-6,
.row-40px>.col-md-7,
.row-40px>.col-md-8,
.row-40px>.col-md-9,
.row-40px>.col-md-10,
.row-40px>.col-md-11,
.row-40px>.col-md-12,
.row-40px>.col-md,
.row-40px>.col-md-auto,
.row-40px>.col-lg-1,
.row-40px>.col-lg-2,
.row-40px>.col-lg-3,
.row-40px>.col-lg-4,
.row-40px>.col-lg-5,
.row-40px>.col-lg-6,
.row-40px>.col-lg-7,
.row-40px>.col-lg-8,
.row-40px>.col-lg-9,
.row-40px>.col-lg-10,
.row-40px>.col-lg-11,
.row-40px>.col-lg-12,
.row-40px>.col-lg,
.row-40px>.col-lg-auto,
.row-40px>.col-xl-1,
.row-40px>.col-xl-2,
.row-40px>.col-xl-3,
.row-40px>.col-xl-4,
.row-40px>.col-xl-5,
.row-40px>.col-xl-6,
.row-40px>.col-xl-7,
.row-40px>.col-xl-8,
.row-40px>.col-xl-9,
.row-40px>.col-xl-10,
.row-40px>.col-xl-11,
.row-40px>.col-xl-12,
.row-40px>.col-xl,
.row-40px>.col-xl-auto {
    padding-left: 40px !important;
    padding-right: 40px !important;
}

.row-45px {
    margin-left: -45px !important;
    margin-right: -45px !important;
}

.row-45px>.col-1,
.row-45px>.col-2,
.row-45px>.col-3,
.row-45px>.col-4,
.row-45px>.col-5,
.row-45px>.col-6,
.row-45px>.col-7,
.row-45px>.col-8,
.row-45px>.col-9,
.row-45px>.col-10,
.row-45px>.col-11,
.row-45px>.col-12,
.row-45px>.col,
.row-45px>.col-auto,
.row-45px>.col-sm-1,
.row-45px>.col-sm-2,
.row-45px>.col-sm-3,
.row-45px>.col-sm-4,
.row-45px>.col-sm-5,
.row-45px>.col-sm-6,
.row-45px>.col-sm-7,
.row-45px>.col-sm-8,
.row-45px>.col-sm-9,
.row-45px>.col-sm-10,
.row-45px>.col-sm-11,
.row-45px>.col-sm-12,
.row-45px>.col-sm,
.row-45px>.col-sm-auto,
.row-45px>.col-md-1,
.row-45px>.col-md-2,
.row-45px>.col-md-3,
.row-45px>.col-md-4,
.row-45px>.col-md-5,
.row-45px>.col-md-6,
.row-45px>.col-md-7,
.row-45px>.col-md-8,
.row-45px>.col-md-9,
.row-45px>.col-md-10,
.row-45px>.col-md-11,
.row-45px>.col-md-12,
.row-45px>.col-md,
.row-45px>.col-md-auto,
.row-45px>.col-lg-1,
.row-45px>.col-lg-2,
.row-45px>.col-lg-3,
.row-45px>.col-lg-4,
.row-45px>.col-lg-5,
.row-45px>.col-lg-6,
.row-45px>.col-lg-7,
.row-45px>.col-lg-8,
.row-45px>.col-lg-9,
.row-45px>.col-lg-10,
.row-45px>.col-lg-11,
.row-45px>.col-lg-12,
.row-45px>.col-lg,
.row-45px>.col-lg-auto,
.row-45px>.col-xl-1,
.row-45px>.col-xl-2,
.row-45px>.col-xl-3,
.row-45px>.col-xl-4,
.row-45px>.col-xl-5,
.row-45px>.col-xl-6,
.row-45px>.col-xl-7,
.row-45px>.col-xl-8,
.row-45px>.col-xl-9,
.row-45px>.col-xl-10,
.row-45px>.col-xl-11,
.row-45px>.col-xl-12,
.row-45px>.col-xl,
.row-45px>.col-xl-auto {
    padding-left: 45px !important;
    padding-right: 45px !important;
}

.row-50px {
    margin-left: -50px !important;
    margin-right: -50px !important;
}

.row-50px>.col-1,
.row-50px>.col-2,
.row-50px>.col-3,
.row-50px>.col-4,
.row-50px>.col-5,
.row-50px>.col-6,
.row-50px>.col-7,
.row-50px>.col-8,
.row-50px>.col-9,
.row-50px>.col-10,
.row-50px>.col-11,
.row-50px>.col-12,
.row-50px>.col,
.row-50px>.col-auto,
.row-50px>.col-sm-1,
.row-50px>.col-sm-2,
.row-50px>.col-sm-3,
.row-50px>.col-sm-4,
.row-50px>.col-sm-5,
.row-50px>.col-sm-6,
.row-50px>.col-sm-7,
.row-50px>.col-sm-8,
.row-50px>.col-sm-9,
.row-50px>.col-sm-10,
.row-50px>.col-sm-11,
.row-50px>.col-sm-12,
.row-50px>.col-sm,
.row-50px>.col-sm-auto,
.row-50px>.col-md-1,
.row-50px>.col-md-2,
.row-50px>.col-md-3,
.row-50px>.col-md-4,
.row-50px>.col-md-5,
.row-50px>.col-md-6,
.row-50px>.col-md-7,
.row-50px>.col-md-8,
.row-50px>.col-md-9,
.row-50px>.col-md-10,
.row-50px>.col-md-11,
.row-50px>.col-md-12,
.row-50px>.col-md,
.row-50px>.col-md-auto,
.row-50px>.col-lg-1,
.row-50px>.col-lg-2,
.row-50px>.col-lg-3,
.row-50px>.col-lg-4,
.row-50px>.col-lg-5,
.row-50px>.col-lg-6,
.row-50px>.col-lg-7,
.row-50px>.col-lg-8,
.row-50px>.col-lg-9,
.row-50px>.col-lg-10,
.row-50px>.col-lg-11,
.row-50px>.col-lg-12,
.row-50px>.col-lg,
.row-50px>.col-lg-auto,
.row-50px>.col-xl-1,
.row-50px>.col-xl-2,
.row-50px>.col-xl-3,
.row-50px>.col-xl-4,
.row-50px>.col-xl-5,
.row-50px>.col-xl-6,
.row-50px>.col-xl-7,
.row-50px>.col-xl-8,
.row-50px>.col-xl-9,
.row-50px>.col-xl-10,
.row-50px>.col-xl-11,
.row-50px>.col-xl-12,
.row-50px>.col-xl,
.row-50px>.col-xl-auto {
    padding-left: 50px !important;
    padding-right: 50px !important;
}

/* add responsive class */

@media (max-width: 991.99px) {
    .visible-desktop {
        display: none;
    }
}

@media (min-width: 992px) {
    .visible-mobile {
        display: none;
    }
}

.visible-sm-block,
.visible-sm-inline-block,
.visible-md-block,
.visible-md-inline-block,
.visible-lg-block,
.visible-lg-inline-block,
.visible-xl-block,
.visible-xl-inline-block {
    display: none;
}

@media (min-width: 576px) and (max-width: 767.99px) {
    .hidden-sm {
        display: none !important;
    }

    .visible-sm-block {
        display: block;
    }

    .visible-sm-inline-block {
        display: inline-block;
    }
}

@media (min-width: 768px) and (max-width: 991.99px) {
    .hidden-md {
        display: none !important;
    }

    .visible-md-block {
        display: block;
    }

    .visible-md-inline-block {
        display: inline-block;
    }
}

@media (min-width: 992px) and (max-width: 1199.99px) {
    .hidden-lg {
        display: none !important;
    }

    .visible-lg-block {
        display: block;
    }

    .visible-lg-inline-block {
        display: inline-block;
    }
}

@media (min-width: 1200px) {
    .hidden-xl {
        display: none !important;
    }

    .visible-xl-block {
        display: block;
    }

    .visible-xl-inline-block {
        display: inline-block;
    }
}

.visible-from-sm-block,
.visible-from-sm-inline-block,
.visible-from-md-block,
.visible-from-md-inline-block,
.visible-from-lg-block,
.visible-from-lg-inline-block,
.visible-from-xl-block,
.visible-from-xl-inline-block {
    display: none;
}

@media (min-width: 576px) {
    .hidden-from-sm {
        display: none !important;
    }

    .visible-from-sm-block {
        display: block;
    }

    .visible-from-sm-inline-block {
        display: inline-block;
    }
}

@media (min-width: 768px) {
    .hidden-from-md {
        display: none !important;
    }

    .visible-from-md-block {
        display: block;
    }

    .visible-from-md-inline-block {
        display: inline-block;
    }
}

@media (min-width: 992px) {
    .hidden-from-lg {
        display: none !important;
    }

    .visible-from-lg-block {
        display: block;
    }

    .visible-from-lg-inline-block {
        display: inline-block;
    }
}

@media (min-width: 1200px) {
    .hidden-from-xl {
        display: none !important;
    }

    .visible-from-xl-block {
        display: block;
    }

    .visible-from-xl-inline-block {
        display: inline-block;
    }
}

/* add class option */

.input-group>.is-last-child,
.input-group>.is-last-child>.btn,
.input-group>.is-last-child>.form-control {
    border-top-right-radius: .25rem !important;
    border-bottom-right-radius: .25rem !important;
}

/* ad-mrkang@naver.com */